CountSubHits (BioJava Demos API)
Keywords: ssbind.CountSubHits class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ssbind
Class CountSubHits

    java.lang.Object
      org.biojava.bio.search.SearchContentAdapter
          ssbind.CountSubHits

All Implemented Interfaces:
  org.biojava.bio.search.SearchContentHandler

    public class CountSubHits

extends org.biojava.bio.search.SearchContentAdapter

Prints out a count of the total number of sub hits in a report.

## Example

     java ProcessBlastReport blast.out ssbind.CountSubHits

Author:
  Matthew Pocock, Rahul Karnik

Constructor Summary
`CountSubHits()`

Method Summary
`void` | `endSearch()`
`void` | `startSearch()`
`void` | `startSubHit()`

Methods inherited from class org.biojava.bio.search.SearchContentAdapter
`addHitProperty, addSearchProperty, addSubHitProperty, endHeader, endHit, endSubHit, getMoreSearches, setDatabaseID, setMoreSearches, setQueryID, startHeader, startHit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CountSubHits

    public CountSubHits()

Method Detail

### startSearch

    public void startSearch()

  Specified by:
    `startSearch` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `startSearch` in class `org.biojava.bio.search.SearchContentAdapter`

### endSearch

    public void endSearch()

  Specified by:
    `endSearch` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `endSearch` in class `org.biojava.bio.search.SearchContentAdapter`

### startSubHit

    public void startSubHit()

  Specified by:
    `startSubHit` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `startSubHit` in class `org.biojava.bio.search.SearchContentAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD